Sponsored Links

Sponsored Links
Sponsored Links
Results 1 to 3 of 3



  1. #1
    Contributor jetli68's Avatar
    Sponsored Links

    [Answered] Dead Island PS3 Firmware version help?

    Sponsored Links
    hi there does dead island need fw 3.6 or above or does it need 3.55

    some people say 3.6 some say 3.55

    anyone know which one ?

    cheers

    jet
    Best Answer - Posted by HeyManHRU:

    It's 3.60+, all new game will be 3.60+ from now on, If it can be fixed (or if it's 3.55) you'll see it it the news section.

  2. #2
    Sponsored Links
    It's 3.60+, all new game will be 3.60+ from now on, If it can be fixed (or if it's 3.55) you'll see it it the news section.

  3. #3
    thanks for the info

 

Sponsored Links
Advertising - Affiliates - Contact Us - PS3 Downloads - PS3 Forums - Privacy Statement - Site Rules - Top - © 2015 PlayStation 3 News